baseURL = "https://gugelfrei.de"

# This is a "one page"-website, so we do not need these kinds of pages...
disableKinds = ["section", "taxonomy", "term", "RSS", "robotsTXT", "404"]

defaultContentLanguage = "de"

# The name of this wonderful theme ;-).
theme = "hugo-product-launch"

# The "title" of your website
title = "gugelfrei"

# Render line-breaks in .md-files as line-breaks in HTML.
# This is e.g. useful for rendering a multi-line address.
[markup]
    [markup.goldmark]
        [markup.goldmark.renderer]
            hardWraps = true
            unsafe = true

[params]
    # A "copyright"-line to be added at the bottom of the page.
    # Hint: Markdown is supported in here as well. So you may e.g. add a link to your legal imprint-page.
    copyright = "© Joe fix IT!"

    # The "description" of your website. This is used in the meta data of your generated html.
    description = "Freie Kommunikation auf upgecycelter Hardware durch freie Software"

    # The path to your "favicon". This should be a square (at least 32px x 32px) png-file.
    # Hint: It's good practise to also put a "favicon.ico"-file into your "static"-folder.
    favicon = "favicon.png"

    # These "images" are used for the structured data templates. This will show up, when
    # services like Twitter or Slack want to generate a preview of a link to your site.
    # See https://gohugo.io/templates/internal#twitter-cards and
    # https://gohugo.io/templates/internal#open-graph.
    images = ["logo.png"]

    # Another "title" :-). This one is used as the site_name on the Hugo's internal
    # opengraph structured data template.
    # See https://ogp.me/ and https://gohugo.io/templates/internal#open-graph.
    title = "Gugelfrei - Ein Smartphone, das dich nicht an der Nase herumführt!"

    # LICENSE: Hugo Product Launch by Jan Raasch is licensed
    # under Attribution 4.0 International (CC BY 4.0).
    # See https://github.com/janraasch/hugo-product-launch#license.
    # This theme will, by default, inject a design-by-line at the bottom of the page.
    # **If** you would like to use this theme without attribution,
    # permissions beyond this license's scope **are available** at
    # https://github.com/janraasch/hugo-product-launch/blob/master/MORE_PERMISSIONS.md
    # hidedesignbyline = true

    [params.meta]
        keywords = "gugel, frei, gugelfrei, googlefrei, degoogle, degoogling, lineage, smartphone upcycling, smartphone, upcycling, sustainable, sustainability, alternative, cool, android, fast, debloated, demophone, protestphone, demofone, protestfone"
